%define upstream_name    Catalyst-Plugin-Captcha
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Create and validate Captcha for Catalyst
License:    GPLv2+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(GD::SecurityImage)
BuildRequires: perl(HTTP::Date)
BuildArch: noarch


%description
This plugin create, validate Captcha.

Note: This plugin uses GD::SecurityImage and requires a session
plugins like Catalyst::Plugin::Session

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1023289
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 946261
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 745665
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 509753
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 363990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 42017
- mageia rebuild
- imported package perl-Catalyst-Plugin-Captcha


* Mon Oct 11 2010 Buchan Milne <bgmilne@mandriva.org> 0.40.0-1mdv2011.0
+ Revision: 584945
- import perl-Catalyst-Plugin-Captcha

